<?php
session_start();
//ini_set('display_errors',1);
//error_reporting(E_ALL);
require_once ("../../config/Cado.php");

require_once("../producto/cProducto.php");
$oProducto = new cProducto();

require_once("../producto/cCatalogo.php");
$oCatalogo = new cCatalogo();

require_once("../marca/cMarca.php");
$oMarca = new cMarca();

require_once("../stock/cStock.php");
$oStock = new cStock();

require_once("../kardex/cKardex.php");
$oKardex = new cKardex();

require_once("../formatos/formato.php");
require_once dirname(__FILE__) . '/../../libreriasphp/phpexcel/Classes/PHPExcel.php';
move_uploaded_file($_FILES['file_archivo']['tmp_name'],$_FILES['file_archivo']['name']);
$archivo = $_FILES['file_archivo']['name'];
$inputFileType = PHPExcel_IOFactory::identify($archivo);
$objReader = PHPExcel_IOFactory::createReader($inputFileType);
$objPHPExcel = $objReader->load($archivo);
$sheet = $objPHPExcel->getSheet(0); 
$highestRow = $sheet->getHighestRow(); 
$highestColumn = $sheet->getHighestColumn();

function ultimoID($oClase){
	$dts = $oClase->ultimoInsert();
	$dt = mysqli_fetch_array($dts);
	mysqli_free_result($dts);
	return $dt['id'];
}

$alm_id = "";

for ($row = 1; $row <= $highestRow; $row++){ 

 echo $row.' </br> ';

		
		$codint = strtoupper($sheet->getCell("A".$row)->getValue());
		$pronom = strtoupper($sheet->getCell("B".$row)->getValue());
		$stockactual = strtoupper($sheet->getCell("C".$row)->getValue());
		//$stockactual = strtoupper($sheet->getCell("D".$row)->getValue());	
		
		

		if($pronom!=""){
		
		 $rspro = $oProducto->buscar_por_nombre($pronom);
		$rowspro = mysqli_num_rows($rspro);

		if($rowspro>0){
			
			$dtpro = mysqli_fetch_array($rspro);
			$cat_id = $dtpro['tb_catalogo_id'];
			$pro_id = $dtpro['tb_producto_id'];
			
			$rsprocm = $oCatalogo->mostrarUno($cat_id,'');
			$rowsprocm = mysqli_num_rows($rsprocm);
			
			
			if($rowsprocm>0){
				$dtcat = mysqli_fetch_array($rsprocm);
				$mar_id = $dtcat['tb_marca_id'];
			}
			
			echo $cat_id.' --- lab -'.$mar_id.' -- encontro promar --'.$rowsprocm.' </br> ';
			
			
			
		$dts2=$oStock->stock_por_presentacion($cat_id,$mar_id,$alm_id);
		$numrowsstock = mysqli_num_rows($dts2);
		
		if($numrowsstock>0){
			
		}else{
			echo ' SE REGISTRARA STOCK  </br> ';
			
		
		if($stockactual>0){
		
		$kar_des='INVENTARIO INICIAL';
		$mod_id = 1;
		$idm=$cat_id;

		$oKardex->insertar(			
			fecha_mysql(date('d-m-Y')),
			$kar_des,
			$mod_id,
			$idm,
			$_SESSION['usuario_id'],
			$_SESSION['empresa_id'],
			'0'
		);

		$dts=$oKardex->ultimoInsert();
		$dt = mysqli_fetch_array($dts);
			$kar_id=$dt['id'];
		mysqli_free_result($dts);

		$kar_tipo=1;
		$oKardex->insertar_detalle(
			$cat_id,
			$mar_id,
			$kar_tipo,
			$stockactual,
			moneda_mysql($precos),
			moneda_mysql(''),
			$kar_id,
			$alm_id
		);	
	

		$oStock->insertar($alm_id,$cat_id,$mar_id,$stockactual);

		}
		}
			
		}else{
	

		}

}




} 



unlink($archivo);



 $data['mar_msj']='Archivo procesado correctamente.';			

	echo json_encode($data); 		

?>